Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Class Result

    java.lang.Object
      weblogic.security.spi.Result

public final class Result
extends Object

The `Result` class contains the result of calling the `isAccessAllowed` method on an `AccessDecision`. Instances are `ABSTAIN`, `DENY`, and `PERMIT`.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static Result` | `ABSTAIN` Indicates that the Access Decision can not determine whether the request should be permitted or denied.
`static Result` | `DENY` Indicates that the Access Decision has decided that the request should be denied.
`static Result` | `PERMIT` Indicates that the Access Decision has decided that the request should be permitted.

Method Summary
`String` | `toString()` Returns this `Result`, represented as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSTAIN

    public static final Result ABSTAIN

  Indicates that the Access Decision can not determine whether the request should be permitted or denied. This decision could be the result of the Access Decision not being aware of the requested resource, or being unable to make an explicit decision due to conflicting security policy definitions.

### DENY

    public static final Result DENY

  Indicates that the Access Decision has decided that the request should be denied.

### PERMIT

    public static final Result PERMIT

  Indicates that the Access Decision has decided that the request should be permitted.

Method Detail

### toString

    public String toString()

  Returns this `Result`, represented as a String.

  Returns:
    this `Result`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD